From 65406c08be155593e96630215740c44516f6fee1 Mon Sep 17 00:00:00 2001
From: DakshinyaTRS <dakshinya@multicorewareinc.com>
Date: Mon, 16 Aug 2021 17:13:50 +0530
Subject: [PATCH] reset conformance window offsets during x265 reconfigure

---
 source/encoder/encoder.cpp | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/source/encoder/encoder.cpp b/source/encoder/encoder.cpp
index c079e94c4..dee8fd85d 100644
--- a/source/encoder/encoder.cpp
+++ b/source/encoder/encoder.cpp
@@ -2556,7 +2556,11 @@ int Encoder::reconfigureParam(x265_param* encParam, x265_param* param)
         encParam->dynamicRd = param->dynamicRd;
         encParam->bEnableTransformSkip = param->bEnableTransformSkip;
         encParam->bEnableAMP = param->bEnableAMP;
-
+		if (param->confWinBottomOffset == 0 && param->confWinRightOffset == 0)
+		{
+			encParam->confWinBottomOffset = param->confWinBottomOffset;
+			encParam->confWinRightOffset = param->confWinRightOffset;
+		}
         /* Resignal changes in params in Parameter Sets */
         m_sps.maxAMPDepth = (m_sps.bUseAMP = param->bEnableAMP && param->bEnableAMP) ? param->maxCUDepth : 0;
         m_pps.bTransformSkipEnabled = param->bEnableTransformSkip ? 1 : 0;
-- 
2.32.0.windows.2

